package com.alibaba.fastjson.asm;

public interface Opcodes {
   int T_INT = 10;
   int V1_5 = 49;
   int ACC_PUBLIC = 1;
   int ACC_SUPER = 32;
   int ACONST_NULL = 1;
   int ICONST_0 = 3;
   int ICONST_1 = 4;
   int LCONST_0 = 9;
   int LCONST_1 = 10;
   int FCONST_0 = 11;
   int DCONST_0 = 14;
   int BIPUSH = 16;
   int ILOAD = 21;
   int LLOAD = 22;
   int FLOAD = 23;
   int DLOAD = 24;
   int ALOAD = 25;
   int ISTORE = 54;
   int LSTORE = 55;
   int FSTORE = 56;
   int DSTORE = 57;
   int ASTORE = 58;
   int IASTORE = 79;
   int POP = 87;
   int DUP = 89;
   int IADD = 96;
   int IAND = 126;
   int IOR = 128;
   int LCMP = 148;
   int FCMPL = 149;
   int DCMPL = 151;
   int IFEQ = 153;
   int IFNE = 154;
   int IFLE = 158;
   int IF_ICMPEQ = 159;
   int IF_ICMPNE = 160;
   int IF_ICMPLT = 161;
   int IF_ICMPGE = 162;
   int IF_ICMPGT = 163;
   int IF_ACMPEQ = 165;
   int IF_ACMPNE = 166;
   int GOTO = 167;
   int RET = 169;
   int ARETURN = 176;
   int RETURN = 177;
   int GETSTATIC = 178;
   int GETFIELD = 180;
   int PUTFIELD = 181;
   int INVOKEVIRTUAL = 182;
   int INVOKESPECIAL = 183;
   int INVOKESTATIC = 184;
   int INVOKEINTERFACE = 185;
   int NEW = 187;
   int NEWARRAY = 188;
   int CHECKCAST = 192;
   int INSTANCEOF = 193;
   int IFNULL = 198;
   int IFNONNULL = 199;
}
