package com.alibaba.fastjson.parser.deserializer;

import com.alibaba.fastjson.parser.DefaultJSONParser;
import java.lang.reflect.Type;

public abstract class ContextObjectDeserializer implements ObjectDeserializer {
   public <T> T deserialze(DefaultJSONParser parser, Type type, Object fieldName) {
      return this.deserialze(parser, type, fieldName, (String)null, 0);
   }

   public abstract <T> T deserialze(DefaultJSONParser var1, Type var2, Object var3, String var4, int var5);
}
