package com.alibaba.fastjson.serializer;

import com.google.common.collect.Multimap;
import java.io.IOException;
import java.lang.reflect.Type;

public class GuavaCodec implements ObjectSerializer {
   public static GuavaCodec instance = new GuavaCodec();

   public void write(JSONSerializer serializer, Object object, Object fieldName, Type fieldType, int features) throws IOException {
      SerializeWriter out = serializer.out;
      if (object instanceof Multimap) {
         Multimap multimap = (Multimap)object;
         serializer.write((Object)multimap.asMap());
      }

   }
}
