package com.alibaba.fastjson.support.jaxrs;

import javax.annotation.Priority;
import javax.ws.rs.core.Configuration;
import javax.ws.rs.core.FeatureContext;
import org.glassfish.jersey.internal.spi.AutoDiscoverable;

@Priority(1999)
public class FastJsonAutoDiscoverable implements AutoDiscoverable {
   public static volatile boolean autoDiscover = true;

   public void configure(FeatureContext context) {
      Configuration config = context.getConfiguration();
      if (!config.isRegistered(FastJsonFeature.class) && autoDiscover) {
         context.register(FastJsonFeature.class);
      }

   }
}
