package com.alibaba.fastjson.support.spring;

import com.alibaba.fastjson.serializer.SimplePropertyPreFilter;
import java.util.ArrayList;
import java.util.List;

public class PropertyPreFilters {
   private List<PropertyPreFilters.MySimplePropertyPreFilter> filters = new ArrayList();

   public PropertyPreFilters.MySimplePropertyPreFilter addFilter() {
      PropertyPreFilters.MySimplePropertyPreFilter filter = new PropertyPreFilters.MySimplePropertyPreFilter();
      this.filters.add(filter);
      return filter;
   }

   public PropertyPreFilters.MySimplePropertyPreFilter addFilter(String... properties) {
      PropertyPreFilters.MySimplePropertyPreFilter filter = new PropertyPreFilters.MySimplePropertyPreFilter(properties);
      this.filters.add(filter);
      return filter;
   }

   public PropertyPreFilters.MySimplePropertyPreFilter addFilter(Class<?> clazz, String... properties) {
      PropertyPreFilters.MySimplePropertyPreFilter filter = new PropertyPreFilters.MySimplePropertyPreFilter(clazz, properties);
      this.filters.add(filter);
      return filter;
   }

   public List<PropertyPreFilters.MySimplePropertyPreFilter> getFilters() {
      return this.filters;
   }

   public void setFilters(List<PropertyPreFilters.MySimplePropertyPreFilter> filters) {
      this.filters = filters;
   }

   public PropertyPreFilters.MySimplePropertyPreFilter[] toFilters() {
      return (PropertyPreFilters.MySimplePropertyPreFilter[])this.filters.toArray(new PropertyPreFilters.MySimplePropertyPreFilter[0]);
   }

   public class MySimplePropertyPreFilter extends SimplePropertyPreFilter {
      public MySimplePropertyPreFilter() {
         super();
      }

      public MySimplePropertyPreFilter(String... properties) {
         super(properties);
      }

      public MySimplePropertyPreFilter(Class<?> clazz, String... properties) {
         super(clazz, properties);
      }

      public PropertyPreFilters.MySimplePropertyPreFilter addExcludes(String... filters) {
         for(int i = 0; i < filters.length; ++i) {
            this.getExcludes().add(filters[i]);
         }

         return this;
      }

      public PropertyPreFilters.MySimplePropertyPreFilter addIncludes(String... filters) {
         for(int i = 0; i < filters.length; ++i) {
            this.getIncludes().add(filters[i]);
         }

         return this;
      }
   }
}
